<template>
  <v-card class="step">
    <v-row align="center">
      <v-col cols="6" class="text-h5">
        Measure the distance in millimeters occupied by the PR interval, use the helper charts to see what are the
        limits of this interval
      </v-col>
    </v-row>
    <v-row align="center" content="center">
      <v-col cols="2" class="text-h5">
        PR interval in mm?
      </v-col>
      <v-col cols="4">
        <v-slider
          :value="PRdistance"
          step="1"
          max="15"
          min="1"
          thumb-label="always"
          ticks
          :thumb-size="40"
          @change="setPRdistance"
        ></v-slider>
      </v-col>
      <v-col cols="1">
        <v-icon>
          $AVBlock1
        </v-icon>
      </v-col>
    </v-row>
    <v-row align="center">
      <v-col cols="5" class="text-h5">PR interval gradually lengthens until the QRS complex goes missing completely although the P wave
        that should have preceded it is still present. Cycle repeats itself
      </v-col>
      <v-col cols="1">
        <v-switch v-model="AVBlock2Wenckebach"></v-switch>
      </v-col>
      <v-col cols="1">
        <v-icon>
          $AVBlock2Wenckebach
        </v-icon>
      </v-col>
    </v-row>
    <v-row align="center">
      <v-col cols="5" class="text-h5">A ratio of 2 P waves to 1 QRS complex, the series repeats</v-col>
      <v-col cols="1">
        <v-switch v-model="AVBlock2Mobitz21"></v-switch>
      </v-col>
      <v-col cols="1">
        <v-icon>
          $AVBlock2Mobitz21
        </v-icon>
      </v-col>
    </v-row>
    <v-row align="center">
      <v-col cols="5" class="text-h5">There are 3 P waves for each 1 QRS complex. Series repeats</v-col>
      <v-col cols="1">
        <v-switch v-model="AVBlock2Mobitz31"></v-switch>
      </v-col>
      <v-col cols="1">
        <v-icon>
          $AVBlock2Mobitz31
        </v-icon>
      </v-col>
    </v-row>
    <v-row class="mt-5 ">
      <v-col>
        <v-alert class="text-h6" border="left" color="pink" dark v-for="item in stepConclusions('rhythmIV')" :key="item.diagnosis">
          {{ item.motivation + ': ' }} <span class="font-weight-bold">{{ item.diagnosis }}</span>
        </v-alert>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'RhythmIV',
  computed: {
    ...mapState([
      'PRdistance', 'AVBlock2Wenckebach', 'AVBlock2Mobitz21', 'AVBlock2Mobitz31',
    ]),
    ...mapGetters([
      'stepConclusions',
    ]),
    AVBlock2Wenckebach: {
      get() {
        return this.$store.state.AVBlock2Wenckebach;
      },
      set(value) {
        this.$store.commit('setAVBlock2Wenckebach', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    AVBlock2Mobitz21: {
      get() {
        return this.$store.state.AVBlock2Mobitz21;
      },
      set(value) {
        this.$store.commit('setAVBlock2Mobitz21', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    AVBlock2Mobitz31: {
      get() {
        return this.$store.state.AVBlock2Mobitz31;
      },
      set(value) {
        this.$store.commit('setAVBlock2Mobitz31', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
  methods: {
    setPRdistance(PRdistance) {
      this.$store.commit('setPRdistance', PRdistance);
      this.$store.dispatch('setPRtime');
      this.$store.dispatch('setGlobalConclusions');
    },
  },
};
</script>

<style scoped>
/*.v-alert{*/
/*  margin-bottom: 0px;*/
/*}*/
</style>
